﻿@model ViewModels.Account.ProfileViewModel

@{
    ViewBag.Title = "پروفایل";
}

@using Web.Security;

<div class="row">
    <div class="col-lg-12">
        <div class="alert alert-warning" style="margin:0 5px">
            <ul>
                <li class="black">
                    لطفا توجه داشته باشید که شماره موبایل شما نام کاربری شماست
                </li>
                <li class="black">
                    در صورتی که نام کاربری خود را تعویض نمایید ، نیاز است مجددا در سایت لاگین نمایید.
                </li>
                <li class="black">
                    جهت ویرایش نام کاربری و یا رمز عبور می بایست <b>تیک</b> مورد نظر آنها را بزنید. 
                </li>
                @if (PasswordValidate.ValidationMode == PasswordValidationMode.MustBigerThanMinimumLength)
                {
                    <li class="black">
                        کلمه عبور انتخابی شما باید حداقل @PasswordValidate.MinimumLength کاراکتر باشد
                    </li>
                }
                else if (PasswordValidate.ValidationMode == PasswordValidationMode.MustContainNumber)
                {
                    <li class="black">
                        کلمه عبور انتخابی شما باید حداقل دارای یک کاراکتر عددی باشد
                    </li>
                }
                else if (PasswordValidate.ValidationMode == PasswordValidationMode.MustContainNumberAndMustBigerThanMinimumLength)
                {
                    <li class="black">
                        کلمه عبور انتخابی شما باید حداقل @PasswordValidate.MinimumLength کاراکتر باشد
                    </li>
                    <li class="black">
                        کلمه عبور انتخابی شما باید حداقل دارای یک کاراکتر عددی باشد
                    </li>
                }
            </ul>
        </div>
    </div>
</div>

<div class="row"></div>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.FullName, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.FullName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FullName)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Email, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.Email, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.Email)
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Username, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.Username, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.Username)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.CheckBoxFor(model => model.WantUpdateUsername, null) @Html.LabelFor(model => model.WantUpdateUsername, new { @class = "label-control bold" })
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Password, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.PasswordFor(model => model.Password, new { @class = "form-control ltr", placeholder = "حداقل 6 کاراکتر" })
                @Html.ValidationMessageFor(model => model.Password)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.RePassword, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.PasswordFor(model => model.RePassword, new { @class = "form-control ltr", placeholder = "حداقل 6 کاراکتر" })
                @Html.ValidationMessageFor(model => model.RePassword)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.CheckBoxFor(model => model.WantUpdatePassword, null) @Html.LabelFor(model => model.WantUpdatePassword, new { @class = "label-control bold" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <input type="submit" value="ثبت" class="btn btn-info" />
            </div>
        </div>
    </div>
}